/*
 * usb.h
 *
 *  Created on: 28.05.2012
 *      Author: sme
 */

#ifndef USB_H_
#define USB_H_
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>

#include "usbdrv.h"
#include "oddebug.h"
extern uchar usbFunctionDescriptor(usbRequest_t * rq);
#define FULL 127




/* ------------------------------------------------------------------------- */
/* ----------------------------- USB interface ----------------------------- */
/* ------------------------------------------------------------------------- */

extern uchar usbFunctionSetup(uchar data[8]);

extern uchar usbFunctionRead(uchar * data, uchar len);

extern uchar usbFunctionWrite(uchar * data, uchar len);

extern void usbFunctionWriteOut(uchar * data, uchar len);

extern void send_note_on(uchar key, uchar velocity);


#endif /* USB_H_ */
